View Issue Details

IDProjectCategoryView StatusLast Update
0004433Slicer4Module Transformspublic2018-03-05 09:59
ReporterlassoanAssigned Tolassoan 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004433: Harden non-linear transform may clip volume
Description

Voxel grid of the volume is not changed when you harden the transform, so deformation moves out structures from the original extent of the volume then it'll be cropped. It would be nice to have an option to automatically extend the volume.

See discussion here: https://discourse.slicer.org/t/crop-in-harden-transform-of-labels/1062

TagsNo tags attached.

Relationships

related to 0004499 assignedlassoan Apply linear transform with shear as non-linear transform 

Activities

lassoan

lassoan

2018-03-04 00:55

developer   ~0015531

Pull request submitted with implementation that uses vtkImageReslice automatic ROI extending feature:
https://github.com/Slicer/Slicer/pull/908

lassoan

lassoan

2018-03-05 09:59

developer   ~0015534

Integrated in r27006

Issue History

Date Modified Username Field Change
2017-09-15 13:52 lassoan New Issue
2017-09-15 13:52 lassoan Status new => assigned
2017-09-15 13:52 lassoan Assigned To => lassoan
2018-01-22 13:39 lassoan Relationship added related to 0004499
2018-03-04 00:54 lassoan Target Version => Slicer 4.9.0
2018-03-04 00:55 lassoan Note Added: 0015531
2018-03-05 09:59 lassoan Status assigned => resolved
2018-03-05 09:59 lassoan Resolution open => fixed
2018-03-05 09:59 lassoan Fixed in Version => Slicer 4.9.0
2018-03-05 09:59 lassoan Note Added: 0015534